__gnu_profile::__trace_vector_size(3cxx)

NAME
__gnu_profile::__trace_vector_size - Hashtable size instrumentation trace producer.

SYNOPSIS

#include <profiler_vector_size.h>

Inherits __gnu_profile::__trace_container_size.

  Public Member Functions

__container_size_info * __add_object (__stack_t __stack)
void __collect_warnings (__warning_vector_t &__warnings)
void __destruct (__container_size_info *__obj_info, std::size_t __num, std::size_t __inum)
void __free ()
__container_size_info * __insert (__stack_t __stack, std::size_t __num)
void __retire_object (__container_size_info *__info)
void __write (FILE *__f)

  Protected Attributes

const char * __id

Detailed Description

Hashtable size instrumentation trace producer.

Definition at line 42 of file profiler_vector_size.h.

Constructor & Destructor Documentation

  __gnu_profile::__trace_vector_size::__trace_vector_size () [inline]

Definition at line 46 of file profiler_vector_size.h.

Member Function Documentation

  __container_size_info * __gnu_profile::__trace_base< __container_size_info , __container_size_stack_info >::__add_object (__stack_t __stack) [inherited]

Definition at line 206 of file profiler_trace.h.

  void __gnu_profile::__trace_base< __container_size_info , __container_size_stack_info >::__collect_warnings (__warning_vector_t & __warnings) [inherited]

Definition at line 209 of file profiler_trace.h.

  void __gnu_profile::__trace_container_size::__destruct (__container_size_info * __obj_info, std::size_t __num, std::size_t __inum) [inline], [inherited]

Definition at line 177 of file profiler_container_size.h.

  __container_size_info * __gnu_profile::__trace_container_size::__insert (__stack_t __stack, std::size_t __num) [inline], [inherited]

Definition at line 167 of file profiler_container_size.h.

  void __gnu_profile::__trace_base< __container_size_info , __container_size_stack_info >::__retire_object (__container_size_info * __info) [inherited]

Definition at line 207 of file profiler_trace.h.

  void __gnu_profile::__trace_base< __container_size_info , __container_size_stack_info >::__write (FILE * __f) [inherited]

Definition at line 208 of file profiler_trace.h.

Member Data Documentation

  const char* __gnu_profile::__trace_base< __container_size_info , __container_size_stack_info >::__id [protected], [inherited]

Definition at line 222 of file profiler_trace.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.